Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class QueryBuilder.UpperCaser

    java.lang.Object
      org.modeshape.jcr.query.QueryBuilder.ConstraintBuilder
          org.modeshape.jcr.query.QueryBuilder.UpperCaser

All Implemented Interfaces:
  QueryBuilder.DynamicOperandBuilder

Enclosing class:
  QueryBuilder

    protected class QueryBuilder.UpperCaser

extends QueryBuilder.ConstraintBuilder

A specialized form of the `QueryBuilder.ConstraintBuilder` that always wraps the generated constraint in a `UpperCase` instance.

Constructor Summary
`protected` | `QueryBuilder.UpperCaser(QueryBuilder.ConstraintBuilder delegate)`

Method Summary
`protected QueryBuilder.ConstraintBuilder` | `setConstraint(Constraint constraint)`

Methods inherited from class org.modeshape.jcr.query.QueryBuilder.ConstraintBuilder
`and, buildLogicalConstraint, closeParen, comparisonBuilder, depth, end, fullTextSearchScore, hasProperty, isBelowPath, isChild, isSameNode, length, lowerCaseOf, nodeLocalName, nodeName, not, openParen, or, path, propertyValue, referenceValue, referenceValue, search, search, strongReferenceValue, upperCaseOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilder.UpperCaser

    protected QueryBuilder.UpperCaser(QueryBuilder.ConstraintBuilder delegate)

Method Detail

### setConstraint

    protected QueryBuilder.ConstraintBuilder setConstraint(Constraint constraint)

  Overrides:
    `setConstraint` in class `QueryBuilder.ConstraintBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.